GenerateUserSecurityTokenDetails¶
- class oci.identity_data_plane.models.GenerateUserSecurityTokenDetails(**kwargs)¶
Bases:
objectRequest parameters in body for obtaining a user principal session token (UPST) for self.
Methods:
__init__(**kwargs)Initializes a new GenerateUserSecurityTokenDetails object with values from keyword arguments.
Attributes:
[Required] Gets the public_key of this GenerateUserSecurityTokenDetails.
Gets the session_expiration_in_minutes of this GenerateUserSecurityTokenDetails.
- __init__(**kwargs)¶
Initializes a new GenerateUserSecurityTokenDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
public_key (str) – The value to assign to the public_key property of this GenerateUserSecurityTokenDetails.
session_expiration_in_minutes (int) – The value to assign to the session_expiration_in_minutes property of this GenerateUserSecurityTokenDetails.
- property public_key¶
[Required] Gets the public_key of this GenerateUserSecurityTokenDetails. The user-owned public key in PEM format that corresponds to the RSA key pair used for signing requests. The user also owns the corresponding private key. This public key will be put inside the user security token by the auth service after successful validation of the request.
- Returns
The public_key of this GenerateUserSecurityTokenDetails.
- Return type
str
- property session_expiration_in_minutes¶
Gets the session_expiration_in_minutes of this GenerateUserSecurityTokenDetails. User session expiration in minutes to which the requested user principal session token (UPST) is bounded. Valid values are from 5 to 60 for all realms.
- Returns
The session_expiration_in_minutes of this GenerateUserSecurityTokenDetails.
- Return type
int